Update a contact
Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.
Only the given fields change. A field value of null clears it.
PATCH
/v1/contacts/{id}Authorization
AuthorizationBearer token · headerrequiredWorkspace API key (`bh_…`).
Path parameters
idstringrequiredmin length 1
Request body
application/jsonstatusstringAllowed:
leadqualifiedcustomerassignedTostring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldsobjectResponses
200OK
idstringrequiredstatusstringrequiredAllowed:
leadqualifiedcustomerassignedTostring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyfieldsobjectrequiredcreatedAtstring<date-time>requiredupdatedAtstring<date-time>requiredlastActivityAtstring<date-time>requiredRequest
curl -X PATCH "https://app.bauhow.com/api/v1/contacts/string" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"status": "lead",
"assignedTo": "string",
"fields": {}
}'const response = await fetch("https://app.bauhow.com/api/v1/contacts/string", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"status": "lead",
"assignedTo": "string",
"fields": {}
})
});import requests
response = requests.patch(
"https://app.bauhow.com/api/v1/contacts/string",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"status": "lead",
"assignedTo": "string",
"fields": {}
},
)Response
{
"id": "string",
"status": "lead",
"assignedTo": "string",
"fields": {},
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z",
"lastActivityAt": "2024-01-01T00:00:00Z"
}